/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301, USA.
 *
 *  Copyright © 2006 Pierre Habouzit
 */
/*
 * Copyright notice from original mutt:
 * Copyright (C) 2001 Thomas Roessler <roessler@does-not-exist.org>
 */

#ifndef MUTT_LIB_LIB_ASCII_H
#define MUTT_LIB_LIB_ASCII_H

static inline int ascii_isupper(int c) {
    return c >= 'A' && c <= 'Z';
}

static inline int ascii_islower(int c) {
    return c >= 'a' && c <= 'z';
}

static inline int ascii_toupper(int c) {
    if (ascii_islower(c))
        return c & ~32;

    return c;
}

static inline int ascii_tolower(int c) {
    if (ascii_isupper(c))
        return c | 32;

    return c;
}

int ascii_strcasecmp(const char *a, const char *b);
int ascii_strncasecmp(const char *a, const char *b, int n);

#define ascii_strcmp(a,b)     m_strcmp(a,b)
#define ascii_strncmp(a,b,c)  str_ncmp(a,b,c)

#endif /* MUTT_LIB_LIB_ASCII_H */
